javax.persistence

## Interface Parameter<T>

Type Parameters:
  `T` - the type of the parameter

All Known Subinterfaces:
  ParameterExpression<T>

    public interface Parameter<T>

Type for query parameter objects.

Since:
  Java Persistence 2.0
See Also:
  `Query`, `TypedQuery`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()` Return the parameter name, or null if the parameter is not a named parameter or no name has been assigned.
`Class<T>` `getParameterType()` Return the Java type of the parameter.
`Integer` `getPosition()` Return the parameter position, or null if the parameter is not a positional parameter.

### Method Detail

#### getName

    String getName()

Return the parameter name, or null if the parameter is not a named parameter or no name has been assigned.

Returns:
  parameter name

#### getPosition

    Integer getPosition()

Return the parameter position, or null if the parameter is not a positional parameter.

Returns:
  position of parameter

#### getParameterType

    Class<T> getParameterType()

Return the Java type of the parameter. Values bound to the parameter must be assignable to this type. This method is required to be supported for criteria queries only. Applications that use this method for Java Persistence query language queries and native queries will not be portable.

Returns:
  the Java type of the parameter
Throws:
  `IllegalStateException` - if invoked on a parameter obtained from a Java persistence query language query or native query when the implementation does not support this use